%define anolis_release 5

%{!?runselftest:%global runselftest     1}

Summary: The GNU Portable Library Tool
Name:    libtool
Version: 2.4.7
Release: %{anolis_release}%{?dist}
License: GPLv2+ and LGPLv2+ and GFDL
URL:     http://www.gnu.org/software/libtool/
Group:   Development/Tools

Source:  https://mirrors.sjtug.sjtu.edu.cn/gnu/libtool/libtool-%{version}.tar.xz

Patch1: 0001-libtool-2.4.6-disable-lto-link-order2.patch
Patch2: 0002-libtool-2.4.5-rpath.patch

# https://lists.gnu.org/archive/html/libtool-patches/2022-02/msg00000.html
Patch3: 0003-libtool-2.4.6-keep-compiler-deps.patch

# These two test cases cannot pass in the mock environment
# but they can pass in Anolis23, so skip
Patch1001: 1001-skip-link-order-test-and-low-max_cmd_len-test.patch 
Patch1002: 1002-Add-sw_64-arch-support.patch

Requires: gcc
Requires: autoconf, automake, sed, tar, findutils

BuildRequires: autoconf, automake, texinfo
BuildRequires: help2man

# make sure we can configure all supported langs
BuildRequires: libstdc++-devel, gcc-gfortran

%description
GNU Libtool is a set of shell scripts which automatically configure UNIX and
UNIX-like systems to generically build shared libraries. Libtool provides a
consistent, portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, but do not use
the rest of the GNU Autotools (such as GNU Autoconf and GNU Automake), you
should install the libtool package.

The libtool package also includes all files needed to integrate the GNU
Portable Library Tool (libtool) and the GNU Libtool Dynamic Module Loader
(ltdl) into a package built using the GNU Autotools (including GNU Autoconf
and GNU Automake).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package ltdl
Summary:  Runtime libraries for GNU Libtool Dynamic Module Loader
Group:    System Environment/Libraries
Provides: %{name}-libs = %{version}-%{release}
License:  LGPLv2+

%description ltdl
The libtool-ltdl package contains the GNU Libtool Dynamic Module Loader, a
library that provides a consistent, portable interface which simplifies the
process of using dynamic modules.

These runtime libraries are needed by programs that link directly to the
system-installed ltdl libraries; they are not needed by software built using
the rest of the GNU Autotools (including GNU Autoconf and GNU Automake).


%package ltdl-devel
Summary: Tools needed for development using the GNU Libtool Dynamic Module Loader
Group:    Development/Libraries
Requires: %{name}-ltdl = %{version}-%{release}
License:  LGPLv2+


%description ltdl-devel
Static libraries and header files for development with ltdl.


%prep
%autosetup -n libtool-%{version} -p1
autoreconf -v

%build
%configure
%make_build

%check
%if 0%{?runselftest}
make check VERBOSE=yes || { cat testsuite.log ; false ; }
%endif


%install
%make_install
rm -f %{buildroot}%{_libdir}/libltdl.a

%files
%doc COPYING
%{_infodir}/libtool.info*
%{_mandir}/man1/libtool.1*
%{_mandir}/man1/libtoolize.1*
%{_bindir}/libtool
%{_bindir}/libtoolize
%{_datadir}/aclocal/*.m4
%dir %{_datadir}/libtool
%{_datadir}/libtool/build-aux

%files doc
%doc AUTHORS NEWS README THANKS TODO ChangeLog*

%files ltdl
%doc libltdl/COPYING.LIB
%{_libdir}/libltdl.so.*

%files ltdl-devel
%doc libltdl/README
%{_datadir}/libtool
%exclude %{_datadir}/libtool/build-aux
%{_includedir}/ltdl.h
%{_includedir}/libltdl
%{_libdir}/libltdl.so

%changelog
* Fri Mar  7 2025 zhuyunfei <zhuyunfei@nfschina.com> - 2.4.7-5
- Add sw_64 arch support

* Thu Mar 23 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.4.7-4
- Bump version to rebuild

* Sun Oct 9 2022 Feng Su <sufeng@linux.alibaba.com> - 2.4.7-3
- Standardized patch name
- Add patch to fix the issue that variable $postdeps can't be de-duplicated
- skip link order test and low max_cmd_len test

* Sun Oct 9 2022 Funda Wang <fundawang@yeah.net> - 2.4.7-2
- Add patch for removal /lib64 and /usr/lib64 rpath

* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.4.7-1
- update to 2.4.7

* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 2.4.6-1
- Initial version from upstream 2.4.6
